/* Change this database name to match your database */
USE rowid;

DROP TABLE Country;
DROP TABLE Resource;

CREATE TABLE Resource
(
  Id INTEGER NOT NULL,
  Comment VARCHAR(50),
  PRIMARY KEY(Id)
);

CREATE TABLE Country
(
  RowId INTEGER NOT NULL,
  ResourceId INTEGER NOT NULL,
  Language VARCHAR(10) NOT NULL,
  Name VARCHAR(50) NOT NULL,
  Population INTEGER NOT NULL,
  Capital VARCHAR(50) NOT NULL,
  Description VARCHAR(200) NOT NULL,
  PRIMARY KEY(RowId),
  FOREIGN KEY(ResourceId) REFERENCES Resource(Id)
);

/* This stored procedure is optional. Byt default Sisulizer uses this algorithm to get new row id */
CREATE PROCEDURE GetNewId RETURNS (rowId INTEGER) AS
BEGIN
  SELECT MAX(RowId) + 1 FROM Country INTO :rowId;
END;

INSERT INTO Resource VALUES('0', 'USA');
INSERT INTO Resource VALUES('1', 'Germany');
INSERT INTO Resource VALUES('2', 'Japan');

INSERT INTO Country VALUES('0', '0', 'en', 'United States', 297, 'Washington, D.C.', 'The United States of America is a federal republic of 50 states, located primary on central North America.');
INSERT INTO Country VALUES('1', '1', 'en', 'Germany', 82, 'Berlin', 'Germany or the Federal Republic of Germany is one of the world''s leading industrialized countries, located in the heart of Europe.');
INSERT INTO Country VALUES('2', '2', 'en', 'Japan', 127, 'Tokyo', 'Japan is a country on the western edge of the Pacific Ocean.');
