DROP TABLE Country;
DROP TABLE Resources;

CREATE TABLE Resources
(
  Id INTEGER NOT NULL,
  CommentValue VARCHAR(50),
  PRIMARY KEY(Id)
);

CREATE TABLE Country
(
  RowIdValue INTEGER NOT NULL,
  ResourceId INTEGER NOT NULL,
  Language VARCHAR(10) NOT NULL,
  Name VARCHAR(50) NOT NULL,
  Population INTEGER NOT NULL,
  Capital VARCHAR(50) NOT NULL,
  Description VARCHAR(300) NOT NULL,
  PRIMARY KEY(RowIdValue),
  FOREIGN KEY(ResourceId) REFERENCES Resources(Id)
);

INSERT INTO Resources VALUES('0', 'USA');
INSERT INTO Resources VALUES('1', 'Germany');
INSERT INTO Resources VALUES('2', 'Japan');

INSERT INTO Country VALUES('0', '0', 'en', 'United States', 297, 'Washington, D.C.', 'The United States of America is a federal republic of 50 states, located primary on central North America.');
INSERT INTO Country VALUES('1', '1', 'en', 'Germany', 82, 'Berlin', 'Germany or the Federal Republic of Germany is one of the world''s leading industrialized countries, located in the heart of Europe.');
INSERT INTO Country VALUES('2', '2', 'en', 'Japan', 127, 'Tokyo', 'Japan is a country on the western edge of the Pacific Ocean.');
