<?php

/**
 * Sisulizer PHP converter sample
 * (c) 2008-2009 Sisulizer Ltd & Co KG
 */

    define('MILE_AS_METERS', 1609.3);  // noslz
    define('YARD_AS_METERS', 0.9144);  // noslz
    define('INCH_IN_FEET', 12);  // noslz
    define('FEET_IN_YARD', 3);  // noslz
    define('YARDS_IN_MILE', 1760);  // noslz
    define('CELSIUS_OFFSET', 273.15);  // noslz

	$amount_names = array ("mlKm" => "Kilometers", "mlM" => "Meters",
	                       "mlCm" => "Centimeters", "mlMm" => "Millimeters",
						   "ulMile" => "Miles", "ulYard" => "Yards",
						   "ulFoot" => "Foot", "ulInch" => "Inches",
						   "mtCelsius" => "Celsius", "mtKelvin" => "Kelvin",
						   "utFahrenheit" => "Fahrenheit" );

	// beginnoslz
	
	function metricLengthToUsLength ($value, $metricLength, $usLength) {

		
		switch ($metricLength) {
			case "mlKm":
			  	$meters = 1000 * $value;
			  	break;

			case "mlCm":
			  	$meters = $value / 100;
			  	break;

			case "mlMm":
			  	$meters = $value / 1000;
			  	break;

			default:
			 	$meters = $value;
			 	break;
		}

      	$yards = $meters / YARD_AS_METERS;

	    switch ($usLength) {
			case "ulMile":
				$result = $yards / YARDS_IN_MILE;
				break;

			case "ulFoot":
				$result = FEET_IN_YARD * $yards;
				break;

			case "ulInch":
				$result = FEET_IN_YARD * INCH_IN_FEET * $yards;
				break;

			default:
				$result = $yards;
				break;
	    }

		return number_format($result, 2);
    }

	function usLengthToMetricLength($value, $usLength, $metricLength) {
		switch ($usLength) {
			case "ulMile":
				$yards = YARDS_IN_MILE * $value;
				break;

			case "ulFoot":
				$yards = $value / FEET_IN_YARD;
				break;

			case "ulInch":
				$yards = $value / (FEET_IN_YARD * INCH_IN_FEET);
				break;

			default:
				$yards = $value;
				break;
		}

      	$meters = YARD_AS_METERS * $yards;

		switch ($metricLength) {
			case "mlKm":
				$result = $meters / 1000;
				break;

			case "mlCm":
				$result = 100 * $meters;
				break;

			case "mlMm":
				$result = 1000 * $meters;
				break;

			default:
				$result = $meters;
				break;
		}
		return number_format($result, 2);
    }

    function metricTemperatureToUsTemperature($value, $metricTemperature, $usTemperature) {

		switch ($metricTemperature) {
			case "mtKelvin":
				$celsius = $value - CELSIUS_OFFSET;
				break;

			default:
				$celsius = $value;
				break;
		}

		$fahrenheit = 1.8 * $celsius + 32;

		return number_format($fahrenheit, 2);
    }

    function usTemperatureToMetricTemperature($value, $usTemperature, $metricTemperature) {

		$fahrenheit = $value;
		$celsius = ($fahrenheit - 32) / 1.8;

		switch ($metricTemperature) {
			case "mtKelvin":
				$result = $celsius + CELSIUS_OFFSET;
				break;

			default:
				$result = $celsius;
				break;
		}
		return number_format($result, 2);
	}
	
	// endnoslz
	
?>