import javax.microedition.lcdui.*;
import javax.microedition.midlet.*;

public class Converter extends MIDlet implements CommandListener
{
  private static final int BOXSIZE = 13;

  private Display display;
  private Form form;

  private ChoiceGroup typeChoice = new ChoiceGroup(
    "Type:",
    Choice.POPUP);

  private ChoiceGroup metricChoice = new ChoiceGroup(
    "Metric unit:",
    Choice.POPUP);

  private StringItem metricLabel = new StringItem(
    null,
    "Metric amount:");

  private TextField metricEdit = new TextField(
    null, 
    "10", //noslz
    BOXSIZE,
    TextField.ANY);

  private ChoiceGroup usChoice = new ChoiceGroup(
    "US unit:",
    Choice.POPUP);

  private StringItem usLabel = new StringItem(
    null,
    "US amount:");

  private TextField usEdit = new TextField(
    null, 
    "10", //noslz
    BOXSIZE,
    TextField.ANY);

  private Command convertCommand;
  private Command aboutCommand;
  private Command exitCommand;

  /**
   * This constructor creates dcalc midlet
   */
  public Converter()
  {
    display = Display.getDisplay(this);

    convertCommand = new Command("Convert", Command.SCREEN, 1);
    exitCommand = new Command("Exit", Command.SCREEN, 2);
    aboutCommand = new Command("About", Command.SCREEN, 3);

    form = new Form("Converter");
    form.addCommand(convertCommand);
    form.addCommand(exitCommand);
    form.addCommand(aboutCommand);
    form.setCommandListener(this);

    typeChoice.append("Length", null);
    typeChoice.append("Temperature", null);

    form.append(typeChoice);
    form.append(metricChoice);
    form.append(metricLabel);
    form.append(metricEdit);
    form.append(usChoice);
    form.append(usLabel);
    form.append(usEdit);
  }

  /**
   * Set the form current
   */
  public void startApp()
  {
    display.setCurrent(form);
  }

  /**
   * Pause
   */
  public void pauseApp()
  {
  }

  /**
   * Destroy must cleanup everything.
   */
  public void destroyApp(boolean unconditional)
  {
  }

  /*
   * Respond to a commands issued on any Screen
   */
  public void commandAction(Command c, Displayable s)
  {
    if (c == exitCommand)
    {
      // Exit the program

      destroyApp(true);
      notifyDestroyed();
    }
    else if (c == aboutCommand)
    {
      // Show aboout screen

      Alert alert = new Alert("About Converter");

      alert.setTimeout(Alert.FOREVER);
      alert.setString("Converter is an application that converts metric units to US units and back.");
      display.setCurrent(alert);
    }
    else if (c == convertCommand)
    {
      // Convert the value

      try
      {
        if (metricEdit.getString() != "")
        {
          // Metric to US

	  int value = Integer.parseInt(metricEdit.getString());
        }
        else if (usEdit.getString() != "")
        {
          // US to metric
   
	  int value = Integer.parseInt(usEdit.getString());
        }
      }
      catch(Exception e)
      {
        Alert alert = new Alert("Error");
    
        alert.setTimeout(Alert.FOREVER);
        alert.setString("Invalid value!");
        display.setCurrent(alert);
      }
    }
  }
}
