using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Globalization;
using System.IO;
using System.Reflection;
using System.Text;
using System.Threading;
using System.Windows.Forms;
using Sisulizer;

namespace CustomResource
{
  public partial class Form1 : Form
  {
    public Form1()
    {
      InitializeComponent();
    }

    private void Form1_Load(object sender, EventArgs e)
    {
      // Initialize Sisulizer's resource engine to read resource from the given
      // assembly file or from a satellite assembly file it has loaded (if any).
      Sisulizer.Resources.Initialize(this.GetType().Assembly);

      // Jaska.jpg is an image
      Stream stream = Sisulizer.Resources.GetResource("Jaska.jpg");
      pictureBox.Image = System.Drawing.Image.FromStream(stream);

      // Sample.dat contains ANSI encoded text
      stream = Sisulizer.Resources.GetResource("Sample.dat");
      binaryLabel.Text = new StreamReader(stream, Encoding.GetEncoding(CultureInfo.CurrentCulture.TextInfo.ANSICodePage)).ReadToEnd();

      // country.xml is an UTF-8 encoded XML file
      stream = Sisulizer.Resources.GetResource("country.xml");
      xmlLabel.Text = new StreamReader(stream).ReadToEnd();

      // Country.htm is an UTF-8 encoded HTML file
      stream = Sisulizer.Resources.GetResource("Country.htm");
      htmlLabel.Text = new StreamReader(stream).ReadToEnd();
    }
  }
}