﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Sisulizer;
using Sisulizer.WindowsForms;

namespace Images
{
  public partial class Form1 : Form
  {
    public Form1()
    {
      InitializeComponent();
    }

    private void Form1_Load(object sender, EventArgs e)
    {
      // Initialize Sisulizer's resource engine to use this assembly and 
      // the satellite assembly file it has loaded (if any)
      Sisulizer.Resources.Initialize(this.GetType().Assembly);

      runtimeResxPicture.Image = Images.Properties.Resources.linked;
      embeddedResourcePicture.Image = new Bitmap(Sisulizer.Resources.GetResource("EmbeddedResource.png"));
      standardResourcePicture.Image = new Bitmap(Sisulizer.Resources.GetStandardResource("resource.png"));
      filePicture.Image = new Bitmap(Sisulizer.Resources.GetFileResource("Content.png"));
    }

    private void LanguageChanged()
    {
      embeddedResxPicture.Image = Images.Properties.Resources.embedded;
      linkedResxPicture.Image = Images.Properties.Resources.linked;
    }

    private void languageButton_Click(object sender, EventArgs e)
    {
      // Check the satellite assembly count
      Resources.CheckSatelliteAssemblyCount();

      // Change the active language
      if (SelectLanguage.Select("en"))
      {
        // After this Sisulizer has overwritten the current property values of the form
        // using the localized property values of the satellite assembly file.
        // However only those properties that has value in the .resx files has been
        // changed. All the other (e.g. the ones we initialized in Form1_Load,
        // Form1_Shown and webBrowser1_DocumentCompleted) are still in previous language.
        // Let's update them. We already have events that initialized the property
        // values in the first place. Just call them again.
        Form1_Load(this, new EventArgs());
        LanguageChanged();
      }
    }
  }
}
