﻿/*
  This sampe shows how to perform runtime language switch on an application containinig
  ListView component. There is a bug in .NET. This bug makes column headers to loose the 
  value of the Name property. This is why Sisulizer's Translator can not translate the column.
  To translate the column you must set the value of ColumnHeader.Tag to match ColumnHeader.Name.
 */
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Sisulizer;
using Sisulizer.WindowsForms;

namespace ListView
{
  public partial class Form1 : Form
  {
    public Form1()
    {
      InitializeComponent();
    }

    private void InitializeTooTipText()
    {
      // Even Visual Studio let's you enter ListViewItem.TooTipText they won't be saved into
      // serialized resource. If you want to show tool tips you have to assing them on run time.
      // Remember to to set ListView.ShowItemToolTips to True.
      listView1.Items[0].ToolTipText = Properties.Resources.Usa;
      listView1.Items[1].ToolTipText = Properties.Resources.German;
      listView1.Items[2].ToolTipText = Properties.Resources.Japan;
    }

    private void Form1_Load(object sender, EventArgs e)
    {
      // Remove the following comments if you want to disable runtime language switch of
      // ListView items.
      //Translator.ListViewItemsTranslationEnabled = false;

      // Set the tooltips for list view items
      InitializeTooTipText();
    }

    private void button1_Click(object sender, EventArgs e)
    {
      if (SelectLanguage.Select("en"))
      {
        // You have to call this again after language change to update the properties
        // that were set on run time.
        InitializeTooTipText();
      }
    }
  }
}
