using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Sisulizer;
using Sisulizer.WindowsForms;

namespace Select
{
  public partial class Form1 : Form
  {
    public Form1()
    {
      InitializeComponent();
    }

    private void Form1_Load(object sender, EventArgs e)
    {
      Left = 0;
      Top = 0;
      Width = Screen.PrimaryScreen.WorkingArea.Width;
      Height = Screen.PrimaryScreen.WorkingArea.Height;

      Text = Properties.Resources.Loading;
    }

    private void Form1_Shown(object sender, EventArgs e)
    {
      webBrowser1.Url = new Uri("http://" + Properties.Resources.Url);
    }

    private void webBrowser1_DocumentCompleted(object sender, WebBrowserDocumentCompletedEventArgs e)
    {
      Text = String.Format(Properties.Resources.Caption, Properties.Resources.Url);
      toolStripStatusLabel1.Text = Text;
      languageToolStripMenuItem.Enabled = true;
    }

    private void languageToolStripMenuItem_Click(object sender, EventArgs e)
    {
      // Check the satellite assembly count
      Resources.CheckSatelliteAssemblyCount();

      // Change the active language
      if (SelectLanguage.Select("en"))
      {
        // After this Sisulizer has overwritten the current property values of the form
        // using the localized property values of the satellite assembly file.
        // However only those properties that has value in the .resx files has been
        // changed. All the other (e.g. the ones we initialized in Form1_Load,
        // Form1_Shown and webBrowser1_DocumentCompleted) are still in previous language.
        // Let's update them. We already have events that initialized the property
        // values in the first place. Just call them again.
        Form1_Load(this, new EventArgs());
        Form1_Shown(this, new EventArgs());
        // There is no need to call webBrowser1_DocumentCompleted because .NET runtime will call
        // it after the document has been loaded.
      }
    }

    private void exitToolStripMenuItem_Click(object sender, EventArgs e)
    {
      Close();
    }

    private void aboutToolStripMenuItem_Click(object sender, EventArgs e)
    {
      MessageBox.Show(
        Properties.Resources.AboutMessage,
        Properties.Resources.AboutCaption,
        MessageBoxButtons.OK,
        MessageBoxIcon.Information);
    }
  }
}