Imports Sisulizer

Public Class Form1
  Private updating As Boolean = False

  ReadOnly Property Quantity() As TQuantity
    Get
      Return typeCombo.SelectedIndex
    End Get
  End Property

  ReadOnly Property MetricLength() As TLaMetricLength
    Get
      Return metricCombo.SelectedIndex
    End Get
  End Property

  ReadOnly Property UsLength() As TLaUsLength
    Get
      Return usCombo.SelectedIndex
    End Get
  End Property

  ReadOnly Property MetricTemperature() As TLaMetricTemperature
    Get
      Return metricCombo.SelectedIndex
    End Get
  End Property

  ReadOnly Property UsTemperature() As TLaUsTemperature
    Get
      Return usCombo.SelectedIndex
    End Get
  End Property

  Property MetricValue() As Double
    Get
      Try
        Return Convert.ToDouble(metricText.Text)
      Catch
        Return 0
      End Try
    End Get

    Set(ByVal value As Double)
      Try
        updating = True
        metricText.Text = value.ToString("F")
      Finally
        updating = False
      End Try
    End Set
  End Property

  Property UsValue() As Double
    Get
      Try
        Return Convert.ToDouble(usText.Text)
      Catch
        Return 0
      End Try
    End Get

    Set(ByVal value As Double)
      Try
        updating = True
        usText.Text = value.ToString("F")
      Finally
        updating = False
      End Try
    End Set
  End Property

  Private Sub addMetric(ByVal value As String)
    metricCombo.Items.Add(value)
  End Sub

  Private Sub addUs(ByVal value As String)
    usCombo.Items.Add(value)
  End Sub

  Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
    typeCombo.Items.Add("Length")
    typeCombo.Items.Add("Temperature")
    typeCombo.SelectedIndex = 0
  End Sub

  Private Sub typeCombo_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles typeCombo.SelectedIndexChanged
    metricCombo.Items.Clear()
    usCombo.Items.Clear()

    Select Case Quantity
      Case TQuantity.qaLength
        addMetric("Kilometers")
        addMetric("Meters")
        addMetric("Centimeters")
        addMetric("Millimeters")
        addUs("Miles")
        addUs("Yards")
        addUs("Feet")
        addUs("Inches")

      Case TQuantity.qaTemperature
        addMetric("Celsius")
        addMetric("Kelvin")
        addUs("Fahrenheit")
    End Select

    metricCombo.SelectedIndex = 0
    usCombo.SelectedIndex = 0
  End Sub

  Private Sub metricText_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles metricText.TextChanged
    If updating Or (metricText.Text = "") Then
      Return
    End If

    Select Case Quantity
      Case TQuantity.qaLength
        UsValue = Measurements.metricLengthToUsLength(MetricValue, MetricLength, UsLength)

      Case TQuantity.qaTemperature
        UsValue = Measurements.metricTemperatureToUsTemperature(MetricValue, MetricTemperature, UsTemperature)
    End Select
  End Sub

  Private Sub usText_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles usText.TextChanged
    If updating Or (usText.Text = "") Then
      Return
    End If

    Select Case Quantity
      Case TQuantity.qaLength
        MetricValue = Measurements.usLengthToMetricLength(UsValue, UsLength, MetricLength)

      Case TQuantity.qaTemperature
        MetricValue = Measurements.usTemperatureToMetricTemperature(UsValue, UsTemperature, MetricTemperature)
    End Select
  End Sub

  Private Sub ExitToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ExitToolStripMenuItem.Click
    Application.Exit()
  End Sub

  Private Sub AboutToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles AboutToolStripMenuItem.Click
    MessageBox.Show( _
      "Converter is an application that converts metric units to US units and back.", _
      "About Converter", _
      MessageBoxButtons.OK, _
      MessageBoxIcon.Information)
  End Sub
End Class
