//---------------------------------------------------------------------------

#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include <Menus.hpp>
#include "LaCommon.hpp"
//---------------------------------------------------------------------------
class TMainForm : public TForm
{
__published:
  TLabel *TypeLabel;
  TComboBox *TypeCombo;
  TMainMenu *MainMenu;
  TMenuItem *FileMenu;
  TMenuItem *LanguageMenu;
  TMenuItem *SetDefaultLanguageMenu;
  TMenuItem *N1;
  TMenuItem *ExitMenu;
  TMenuItem *HelpMenu;
  TMenuItem *AboutMenu;
  TLabel *MetricUnitLabel;
  TComboBox *MetricCombo;
  TLabel *MetricAmountLabel;
  TEdit *MetricEdit;
  TLabel *UsUnitLabel;
  TComboBox *UsCombo;
  TLabel *UsAmountLabel;
  TEdit *UsEdit;
  TStatusBar *StatusBar;
  void __fastcall FormCreate(TObject *Sender);
  void __fastcall TypeComboChange(TObject *Sender);
  void __fastcall MetricEditChange(TObject *Sender);
  void __fastcall UsEditChange(TObject *Sender);
  void __fastcall LanguageMenuClick(TObject *Sender);
  void __fastcall SetDefaultLanguageMenuClick(TObject *Sender);
  void __fastcall ExitMenuClick(TObject *Sender);
  void __fastcall AboutMenuClick(TObject *Sender);

private:
  bool FUpdating;

  TQuantity GetQuantity();

  TLaMetricLength GetMetricLength();
  TLaUsLength GetUsLength();

  TLaMetricTemperature GetMetricTemperature();
  TLaUsTemperature GetUsTemperature();

  Double GetMetricValue();
  void SetMetricValue(Double value);

  Double GetUsValue();
  void SetUsValue(Double value);

  void AddMetric(AnsiString str, int value);
  void AddUs(AnsiString str, int value);

  void __fastcall DisplayHint(TObject *sender);
  void __fastcall Initialize();

public:
  __fastcall TMainForm(TComponent* Owner);

  __property TQuantity Quantity = {read=GetQuantity};
  __property TLaMetricLength MetricLength = {read=GetMetricLength};
  __property TLaUsLength UsLength = {read=GetUsLength};
  __property TLaMetricTemperature MetricTemperature = {read=GetMetricTemperature};
  __property TLaUsTemperature UsTemperature = {read=GetUsTemperature};
  __property Double MetricValue = {read=GetMetricValue, write=SetMetricValue};
  __property Double UsValue = {read=GetUsValue, write=SetUsValue};
};
//---------------------------------------------------------------------------
extern PACKAGE TMainForm *MainForm;
//---------------------------------------------------------------------------
#endif
