{
  Copyrights 2005-2009 Sisulizer Ltd.

  This sample shows how to implement bidi localization with runtime language switch.
  Sisulizer does not perform reading order change and mirroring but you do it on run time.
}
unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ComCtrls, StdCtrls;

type
  TForm1 = class(TForm)
    Label1: TLabel;
    Edit1: TEdit;
    Button1: TButton;
    TreeView1: TTreeView;
    LanguageButton: TButton;
    procedure FormCreate(Sender: TObject);
    procedure LanguageButtonClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

uses
  LaDialog,
  LaResource,
  LaTranslator,
  LaTreeViewModule;

procedure TForm1.FormCreate(Sender: TObject);
begin
  // Mirrors the form if active locale is bi-di
  InitializeForm(Self);
end;

procedure TForm1.LanguageButtonClick(Sender: TObject);
begin
  // Let the user to choose new language.
  // Rememeber to include roFlipChildren into third parameter in order to Sisulizer units to mirror forms.
  SelectResourceLocale('EN', [], [roFlipChildren]);
end;

initialization
  // This function initializes Sisulizer's units
  InitializeApplication;
end.
