using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Forms;
using System.Globalization;
using Sisulizer;

namespace Sisulizer.NetModule
{
  public interface ILaModule
  {
    int ShowForm(string language);
    int SetLanguage(string language);
  }

  public class LaModule: ILaModule
  {
    private CultureInfo CodeToCultureInfo(string value)
    {
      string str = value.ToLower();

      return new CultureInfo(str);
    }

    public int ShowForm(string language)
    {
      new Form1().Show();
      SetLanguage(language);

      return 0;
    }

    public int SetLanguage(string value)
    {
      // Set the new UI language. 
      // This translates static properties (e.g. those in .resx) automatically.
      Resources.SetUILanguage(CodeToCultureInfo(value));

      return 0;
    }
  }
}
