unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TForm1 = class(TForm)
    ShortDateFormatLabel: TLabel;
    LongDateFormatLabel: TLabel;
    ShortDateFormatSample: TLabel;
    LongDateFormatSample: TLabel;
    LanguageButton: TButton;
    procedure FormCreate(Sender: TObject);
    procedure LanguageButtonClick(Sender: TObject);

  private
    procedure UpdateValues;
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

uses
  LaDialog,
  LaResource;

procedure TForm1.UpdateValues;
begin
  ShortDateFormatSample.Caption := FormatDateTime('ddddd', Now);
  LongDateFormatSample.Caption := FormatDateTime('dddddd', Now);
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  UpdateValues;
end;

procedure TForm1.LanguageButtonClick(Sender: TObject);
begin
  if SelectResourceLocale('EN', [], [roSaveLocale]) then
    UpdateValues;
end;

initialization
  // Updates the locale variables to match the initially loaded resource DLL
  // VCL does not do that but initializes the variables using the default locale
  CheckLocaleVariables;
end.
