unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Menus, OleCtrls, SHDocVw, ComCtrls;

type
  TForm1 = class(TForm)
    MainMenu1: TMainMenu;
    File1: TMenuItem;
    Language1: TMenuItem;
    N1: TMenuItem;
    Exit1: TMenuItem;
    Help1: TMenuItem;
    About1: TMenuItem;
    WebBrowser1: TWebBrowser;
    StatusBar1: TStatusBar;
    procedure FormCreate(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure WebBrowser1DocumentComplete(ASender: TObject; const pDisp: IDispatch; var URL: OleVariant);
    procedure Language1Click(Sender: TObject);
    procedure Exit1Click(Sender: TObject);
    procedure About1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

uses
  LaDialog,
  LaResource,
  LaTranslator;

resourcestring
  SAbout = 'This sample demonstrates how to implement runtime language change.';
  SCaption = 'Current page: %s';
  SLoading = 'Loading. Please wait...';
  SUrl = 'www.sisulizer.com';

procedure TForm1.FormCreate(Sender: TObject);
begin
  Caption := SLoading;
end;

procedure TForm1.FormShow(Sender: TObject);
begin
  WebBrowser1.Navigate('http://' + SUrl);
end;

procedure TForm1.WebBrowser1DocumentComplete(
  ASender: TObject;
  const pDisp: IDispatch;
  var URL: OleVariant);
begin
  Caption := Format(SCaption, [SUrl]);
  StatusBar1.SimpleText := Caption;
  Language1.Enabled := True;
end;

procedure TForm1.Language1Click(Sender: TObject);
begin
  // Check the resource DLL count
  CheckResourceCount;

  // Change the active language
  if SelectResourceLocale('EN') then
  begin
    // At this point Sisulizer has overwritten the current property values of the form
    // using the localized property values of the resource DLL.
    // However only those properties that has value in the DFM file has been
    // changed. All the other (e.g. the ones we initialized in FormCreate,
    // FormShow and WebBrowser1DocumentComplete) are still in previous language.
    // Let's update them. We already have events that initialized the property
    // values in the first place. Just call them again.
    FormCreate(Self);
    FormShow(Self);
    // There is no need to call WebBrowser1DocumentComplete because VCL will call
    // it after the document has been loaded.
  end;
end;

procedure TForm1.Exit1Click(Sender: TObject);
begin
  Close;
end;

procedure TForm1.About1Click(Sender: TObject);
begin
  ShowMessage(SAbout);
end;

initialization
  // Translate only string properties when performing runtime language switch
  LaEnabledProperties := STRING_TYPES_C;
end.
