{
  Copyright 2005-2011 Sisulizer

  Unit that makes Delphi 2010 or later application to use the resource DLL
  matching the default system locale. Delphi 2009 or earlier have this feature
  by default.

  This compiles with Delphi 5 and later.
}

{$I LaDef.inc}

unit LaDefaultLocale;

interface

implementation

{$IFDEF VCL13}
uses
{$IFNDEF VCL14}
  LaResource,
{$ENDIF}
  Windows;

var
  fileName: String;
  locale: array[0..4] of Char;

function FileExists(const fileName: String): Boolean;
var
  handle: THandle;
begin
  handle := CreateFile(PChar(fileName), GENERIC_READ, FILE_SHARE_READ, nil, OPEN_EXISTING, 0, 0);
  Result := handle <> INVALID_HANDLE_VALUE;

  if Result then
    CloseHandle(Handle);
end;

function DoesResourceFileExist(const code: String): Boolean;
var
  dllFileName: String;
begin
  dllFileName := fileName;

  while (dllFileName <> '') and (fileName[Length(dllFileName)] <> '.') do
    Delete(dllFileName, Length(dllFileName), 1);

  Result := FileExists(dllFileName + code);
end;

initialization
  fileName := ParamStr(0);

  if GetLocaleOverride(fileName) = '' then
  begin
    GetLocaleInfo(GetThreadLocale, LOCALE_SABBREVLANGNAME, locale, SizeOf(locale));

    if not DoesResourceFileExist(locale) then
      locale[2] := #0;

    if locale[0] <> #0 then
{$IFDEF VCL14}
      SetLocaleOverride(locale);
{$ELSE}
      LoadNewResourceFile(locale);
{$ENDIF}
  end;
{$ENDIF}
end.
